package com.zoniot.ccrc.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

@ApiModel(value="com-zoniot-ccrc-entity-MeterReadRecord")
@Data
public class MeterReadRecord {

    @ApiModelProperty(value="主键")
    private Long id;

    @ApiModelProperty(value="读表日期")
    private Integer readDate;


    @ApiModelProperty(value="站点")
    private Integer siteId;


    @ApiModelProperty(value="场景")
    private Integer sysId;


    @ApiModelProperty(value="省")
    private Integer province;


    @ApiModelProperty(value="市")
    private Integer city;

    @ApiModelProperty(value="区")
    private Integer region;

    @ApiModelProperty(value="小区")
    private Integer community;

    @ApiModelProperty(value="客户")
    private Integer customerId;

    @ApiModelProperty(value="集中器")
    private Integer concentratorId;


    @ApiModelProperty(value="采集器")
    private Integer collectorId;


    @ApiModelProperty(value="建筑")
    private Integer buildingId;


    @ApiModelProperty(value="安装地址")
    private String location;

    @ApiModelProperty(value="设备类型")
    private Integer deviceTypeId;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="节点编号")
    private String deviceNo;

    @ApiModelProperty(value="电子号")
    private String meterNo;

    @ApiModelProperty(value="档案号")
    private String meterFileNo;

    @ApiModelProperty(value="读表时间")
    private LocalDateTime readTime;

    @ApiModelProperty(value="读表状态")
    private String readStatus;


    @ApiModelProperty(value="读表数据")
    private String readData;

    @ApiModelProperty(value="最近有效数据")
    private String lastValid;

    @ApiModelProperty(value="距离上次的消耗")
    private BigDecimal lastCost;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime dateCreate;

    @ApiModelProperty(value="更新时间")
    private LocalDateTime dateUpdate;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @ApiModelProperty(value="更新人")
    private String updateBy;

    @ApiModelProperty(value="阀门状态")
    private Integer valveStatus;

    @ApiModelProperty(value="告警信息")
    private String meterStatusInfo;
}